/*		FILE DESCRIPTION

			FILE NAME: d3msgd.c
			ROUTINE	 : message data
			REVITION : 
			REMARKS	 :	88.06.08	S.AIZAWA

*/

#include	"la_ws/include/d2lerr.h"
#include	"d3msgd.h"

static	char	sccsid[]="%Z%%M% %I% %E% %U%";

struct	msgtbl	msg_tbl[] = {
	{NOERR, 'I', 0, "I܂"},
	{E_X  , 'F', 0, "R}hsł܂"},
	{E_M  , 'F', 0, "Ɨpmۂł܂"},
	{E_P  , 'F', 0, "p[^G[ł"},
	{E_D  ,   0, 0, "f[^]G["},
	{E_S  ,   0, 0, "ۑEG["},
	{E_E  , 'F', 0, "~L[܂"},
	{E_C  ,   0, 0, "ʐG[ł"},
	{E_K  ,   0, 0, "₪܂"},
	{E_N  , 'F', 0, "fBNg쐬ł܂"},
	{E_GRP_NONE_ENTRY, 'F', 0, "O[vɓo^Ă܂"},
	{E_DSNAME, 'F', 0, "f[^Zbg܂"},
	{E_LABEL,   0, 0, "\f[^Zbg̃x͕ύXł܂"},

	{E_GI_N, 'F', 0, "O[v܂"},
	{E_IF_N, 'F', 0, "VXe܂"},
	{E_DS_N, 'F', 0, "k`f[^Zbg܂"},
	{E_UF_N, 'F', 0, "[U܂"},
	{E_AF_N, 'F', 0, "jf[^Zbg܂"},
	{E_DF_N,   0, 0, "̓f[^Zbg܂"},
	{E_KF_N,   0, 0, "\`t@C܂"},
	{E_TF_N, 'F', 0, "e|t@C܂"},
	{E_CF_N, 'F', 0, "Jgt@C܂"},
	{E_KJ_N, 'F', 0, "t@C܂"},
	{E_GH_N, 'F', 0, "O\t@C܂"},

	{E_GI_A, 'F', 0, "O[vEANZXG["},
	{E_IF_A, 'F', 0, "VXeEANZXG["},
	{E_DS_A, 'F', 0, "k`f[^ZbgEANZXG["},
	{E_UF_A, 'F', 0, "[UEANZXG["},
	{E_AF_A, 'F', 0, "jf[^ZbgEANZXG["},
	{E_DF_A,   0, 0, "̓f[^ZbgEANZXG["},
	{E_KF_A,   0, 0, "\`t@CEANZXG["},
	{E_TF_A, 'F', 0, "e|t@CEANZXG["},
	{E_CF_A,   0, 0, "Jgt@CEANZXG["},
	{E_KJ_A, 'F', 0, "t@CEANZXG["},
	{E_GH_A, 'F', 0, "O\t@CEANZXG["},

	{E_GI_U, 'F', 0, "O[vɏ㏑ł܂"},
	{E_IF_U, 'F', 0, "VXeɏ㏑ł܂"},
	{E_DS_U, 'F', 0, "k`f[^Zbgɏ㏑ł܂"},
	{E_UF_U, 'F', 0, "[Uɏ㏑ł܂"},

	{E_GI_F, 'F', 0, "O[v̍\sł"},
	{E_IF_F, 'F', 0, "VXe̍\sł"},
	{E_DS_F, 'F', 0, "k`f[^Zbg̍\sł"},
	{E_UF_F, 'F', 0, "[U̍\sł"},
	{E_DF_F,   0, 0, "̓f[^Zbg̍\sł"},
	{E_KF_F,   0, 0, "\`t@C̍\sł"},
	{E_KJ_F, 'F', 0, "t@C̍\sł"},
	{E_GH_F, 'F', 0, "O\t@C̍\sł"},

	{E_GI_L, 'F', 0, "O[v͑̃vZXgpł"},
	{E_IF_L, 'F', 0, "VXe͑̃vZXgpł"},
	{E_DS_L, 'F', 0, "k`f[^Zbg͑̃vZXgpł"},
	{E_UF_L, 'F', 0, "[U͑̃vZXgpł"},

	{E_LADS_OVW  , 'W', 0, "wk`f[^Zbg͊ɑ݂Ă܂"},
	{E_NEXST_LADS, 'I', 0, "Yk`f[^Zbg͂܂"},
	{E_EXIST_LADB, 'F', 0, "k`f[^x[X͂łɑ݂܂"},
	{E_NEXST_LADB, 'F', 0, "k`f[^x[X݂܂"},
	{E_NOT_OWNER , 'F', 0, "k`f[^x[X̏L҂sł"},
	{E_LADB_MODE , 'F', 0, "k`f[^x[X̃p[~bVsł"},
	{E_PATH_ERR  , 'F', 0, "k`f[^x[X̃pXsł"},
	{E_ENV_NSET  , 'F', 1, "ϐݒ肳Ă܂  (%s)"},
	{E_POLD_NEXE , 'F', 0, "@\sł܂ł"}
};

char	pdsys_err[] = "onk|c VXeG[ : ( %x )";

int	msg_tbl_sz = sizeof(msg_tbl) / sizeof(struct msgtbl);
